> ## Documentation Index
> Fetch the complete documentation index at: https://docs.qoder.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a Session resource

> Retrieve one resource attached to a Session.

`GET /api/v1/cloud/sessions/{session_id}/resources/{resource_id}`

Returns one Session resource by ID.

## Path parameters

| Parameter     | Type   | Description                         |
| ------------- | ------ | ----------------------------------- |
| `session_id`  | string | Session ID with the `sess_` prefix  |
| `resource_id` | string | Resource ID with the `sesr_` prefix |

## Headers

| Header          | Required | Description         |
| --------------- | -------- | ------------------- |
| `Authorization` | Yes      | `Bearer $QODER_PAT` |

## Example request

```bash theme={null}
curl https://api.qoder.com/api/v1/cloud/sessions/sess_019e392c0d1e74e095d21ea4c6b41def/resources/sesr_0e4323e8f47ba34853f5409e \
  -H "Authorization: Bearer $QODER_PAT"
```

## Example response

**HTTP 200 OK**

```json theme={null}
{
  "id": "sesr_0e4323e8f47ba34853f5409e",
  "type": "file",
  "file_id": "file_019ef2a07a06704fb899908c29eed779",
  "mount_path": "/mnt/session/uploads/file_019ef2a07a06704fb899908c29eed779",
  "created_at": "2026-06-23T05:53:19.77484Z",
  "updated_at": "2026-06-23T05:53:44.995459Z"
}
```

See [Session resource](/cloud-agents/api/sessions/schemas#session-resource) for all resource shapes.

## Errors

| HTTP | Type                   | Trigger                            |
| ---- | ---------------------- | ---------------------------------- |
| 401  | `authentication_error` | PAT invalid or expired             |
| 404  | `not_found_error`      | Session or resource does not exist |

**HTTP 404 Not Found**

```json theme={null}
{
  "type": "error",
  "request_id": "cb80235f-76a2-4ff3-9e28-5aa2da12dc14",
  "error": {
    "type": "not_found_error",
    "message": "Session resource 'sesr_does_not_exist_xxxxxxxxxxxxxxxxxxxxxxx' was not found."
  }
}
```

**HTTP 404 Not Found**

```json theme={null}
{
  "type": "error",
  "request_id": "cb80235f-76a2-4ff3-9e28-5aa2da12dc14",
  "error": {
    "type": "not_found_error",
    "message": "Session 'sess_does_not_exist_xxxxxxxxxxxxxxxxxxxxxxx' was not found."
  }
}
```

See [Errors](/cloud-agents/api/conventions/errors) for the full error envelope.
